Orders
Orders, payments, returns, and reconciliation
Advance Status
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/advanceStatus" \ -H "Content-Type: application/json" \ -d '{ "orderId": "string" }'{}Archive
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/archive" \ -H "Content-Type: application/json" \ -d '{ "orderId": "string" }'{}Archive Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/archiveMany" \ -H "Content-Type: application/json" \ -d '{ "orderIds": [ "string" ] }'{}Checkout
Path Parameters
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/string/orders/checkout" \ -H "Content-Type: application/json" \ -d '{ "firstName": "string", "lastName": "string", "phoneNumber": "string", "city": "string", "country": "string", "line1": "string", "line2": "string", "postalCode": "string", "state": "string", "type": "BILLING", "provider": "CASH_ON_DELIVERY", "variants": [ { "variantId": "string" } ] }'{}Cod Reconciliation
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/codReconciliation" \ -H "Content-Type: application/json" \ -d '{}'{}Cod Reconciliation Csv
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/codReconciliationCsv" \ -H "Content-Type: application/json" \ -d '{}'{}Confirm Payment
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/confirmPayment" \ -H "Content-Type: application/json" \ -d '{ "orderId": "string", "source": "ADMIN" }'{}Confirm Payment Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/confirmPaymentMany" \ -H "Content-Type: application/json" \ -d '{ "orderIds": [ "string" ] }'{}Create
Path Parameters
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/string/order" \ -H "Content-Type: application/json" \ -d '{ "firstName": "string", "lastName": "string", "phoneNumber": "string", "city": "string", "country": "string", "line1": "string", "line2": "string", "postalCode": "string", "state": "string", "type": "BILLING", "provider": "CASH_ON_DELIVERY", "variants": [ { "variantId": "string" } ] }'{}Get By Customer
Path Parameters
1 <= length1 <= lengthResponse Body
application/json
curl -X GET "https://www.prolifto.store/api/string/orders/string"{}Get Many
Path Parameters
1 <= lengthQuery Parameters
^\d{4}-\d{2}-\d{2}$^\d{4}-\d{2}-\d{2}$false"HOME" | "STOPDESK"101 <= value <= 100["created_desc"]11 <= value"PAID" | "UNPAID""STOREFRONT" | "ADMIN" | "API""PENDING" | "CONFIRMED" | "PROCESSING" | "SHIPPED" | "DELIVERED" | "CANCELED" | "RETURNED"Response Body
application/json
curl -X GET "https://www.prolifto.store/api/string/orders"{}Get Recent Summary
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/getRecentSummary" \ -H "Content-Type: application/json" \ -d '{ "organizationSlug": "string" }'{}Get One
Path Parameters
1 <= length1 <= lengthResponse Body
application/json
curl -X GET "https://www.prolifto.store/api/string/orders/string"{}Log Contact Attempt
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/logContactAttempt" \ -H "Content-Type: application/json" \ -d '{ "orderId": "string", "channel": "PHONE", "outcome": "NO_ANSWER" }'{}Mark Return Refund Paid
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/markReturnRefundPaid" \ -H "Content-Type: application/json" \ -d '{ "orderId": "string" }'{}curl -X POST "https://www.prolifto.store/api/orders/missingStockRestorations"{}Resend Confirmation Email
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/resendConfirmationEmail" \ -H "Content-Type: application/json" \ -d '{ "orderId": "string" }'{}Resend Sms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/resendSms" \ -H "Content-Type: application/json" \ -d '{ "orderId": "string" }'{}Restore
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/restore" \ -H "Content-Type: application/json" \ -d '{ "orderId": "string" }'{}Restore Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/restoreMany" \ -H "Content-Type: application/json" \ -d '{ "orderIds": [ "string" ] }'{}Restore Missing Stock
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/restoreMissingStock" \ -H "Content-Type: application/json" \ -d '{ "orderId": "string" }'{}Return Order
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/returnOrder" \ -H "Content-Type: application/json" \ -d '{ "orderId": "string", "reason": "REFUSED" }'{}Update
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/update" \ -H "Content-Type: application/json" \ -d '{ "firstName": "string", "lastName": "string", "phoneNumber": "string", "city": "string", "country": "string", "line1": "string", "line2": "string", "postalCode": "string", "state": "string", "type": "BILLING", "variants": [ { "variantId": "string" } ], "orderId": "string" }'{}Update Carrier Fee
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/updateCarrierFee" \ -H "Content-Type: application/json" \ -d '{ "orderId": "string", "carrierFee": "string" }'{}Update Shipping
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/updateShipping" \ -H "Content-Type: application/json" \ -d '{ "orderId": "string", "shippingCarrier": "string", "trackingNumber": "string" }'{}Update Status
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/updateStatus" \ -H "Content-Type: application/json" \ -d '{ "orderId": "string" }'{}Update Status Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/orders/updateStatusMany" \ -H "Content-Type: application/json" \ -d '{ "orderIds": [ "string" ], "status": "PENDING" }'{}